Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600113 - Invalid volume record when expand cluster is available
Summary: Invalid volume record when expand cluster is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-07-11 12:52 UTC by Filip Balák
Modified: 2018-09-04 07:09 UTC (History)
8 users (show)

Fixed In Version: tendrl-node-agent-1.6.3-9.el7rhgs tendrl-commons-1.6.3-9.el7rhgs tendrl-api-1.6.3-4.el7rhgs.noarch tendrl-monitoring-integration-1.6.3-7.el7rhgs.noarch tendrl-ui-1.6.3-7.el7rhgs.noarch tendrl-notifier-1.6.3-4.el7rhgs.noarch tendrl-gluster-integration
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:08:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Volume list (deleted)
2018-07-11 12:52 UTC, Filip Balák
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1516417 None None None Never
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:09:57 UTC

Internal Links: 1516417

Description Filip Balák 2018-07-11 12:52:39 UTC
Created attachment 1458071 [details]
Volume list

Description of problem:
When there are added new nodes to already managed cluster and is created new volume and all machines are restarted, there appears to be something broken with managed volume. It seems that after Enable Profiling job is started it breaks the volume record even further and in UI is volume seen without volume data as the one from attachment.


Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-4.el7rhgs.noarch
tendrl-api-httpd-1.6.3-4.el7rhgs.noarch
tendrl-commons-1.6.3-8.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-6.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-6.el7rhgs.noarch
tendrl-node-agent-1.6.3-8.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-6.el7rhgs.noarch


How reproducible:
60%

Steps to Reproduce:
1. Import cluster with 4 nodes into WA.
2. Add 2 more nodes to cluster and create distributed replicated volume.
3. Restart all nodes.
4. Go to cluster list.
5. Enable profiling for the cluster (it usually don't start).
6. Go to volume list for the cluster.

Actual results:
There is a broken record in Volume list.

Expected results:
Managed volume should be seen correctly and all related jobs should be possible for the volume.

Additional info:

Comment 1 gowtham 2018-07-17 08:42:29 UTC
This is also fixed part of https://bugzilla.redhat.com/show_bug.cgi?id=1599634.
please verify this with latest build once.

tendrl-node-agent-1.6.3-9.el7rhgs.noarch
tendrl-commons-1.6.3-9.el7rhgs.noarch
tendrl-api-1.6.3-4.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-7.el7rhgs.noarch
tendrl-ui-1.6.3-7.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-gluster-integration-1.6.3-7.el7rhgs.noarch

i tried with latest build i can't reproduce this

Comment 2 gowtham 2018-07-20 06:17:42 UTC
filip please try this with new build

Comment 4 Filip Balák 2018-07-23 13:36:20 UTC
Tested multiple times and looks ok. It was probably fixed with BZ 1599634.

Tested with:
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-4.el7rhgs.noarch
tendrl-api-httpd-1.6.3-4.el7rhgs.noarch
tendrl-commons-1.6.3-9.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-7.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-7.el7rhgs.noarch
tendrl-node-agent-1.6.3-9.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-8.el7rhgs.noarch

Comment 5 gowtham 2018-07-23 14:43:02 UTC
This bug is fixed in the latest build, So I am moving this to ON_QA.

Comment 8 Filip Balák 2018-07-25 07:26:08 UTC
Thank you for resolution. Based on Comment 4 I move this to VERIFIED.

Comment 10 errata-xmlrpc 2018-09-04 07:08:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.